# Le manuel utilisateur de &kde;

Waldo
Bastian

    bastian@kde.org

Mario
Weilguni

    mweilguni@sime.com

Lubos
Lunak

    l.lunak@kde.org

2008-10-03
0.01.01
kdeinit4
8

# `kdeinit4`

Démarre tous les autres programmes de &kde; et les modules chargeables kdeinit (KLMs).

## Synopsis

    kdeinit4 --help  --no-fork --no-kded --suicide   +programs programs

## Description

kdeinit4 est un lanceur de processus assez similaire au fameux `init` utilisé pour la séquence de boot UNIX. Il exécute les programmes &kde; et les modules chargeables kdeinit (KLMs) en les démarrant efficacement.

Utiliser kdeinit4 pour lancer des applications &kde; démarre une application &kde; typique de manière plus rapide et réduit considérablement la consommation moyenne de mémoire.

kdeinit4 est lié aux bibliothèques dont une application &kde; standard à besoin. Avec cette technique, démarrer une application devient plus rapide car maintenant seul l'application elle même a besoin d'être liée sans quoi les deux applications ainsi que toutes les bibliothèques qu'il utilise ont besoin d'être liées.

## Désavantages

Le nom de processus des applications démarré à partir de kdeinit4 est « kdeinit4 ». Ce problème peut être corrigé en modifiant le nom de l'application comme affiché par la commande `ps`. Cependant, les applications comme `killall` verront simplement kdeinit4 comme le nom du processus. Pour contourner ce problème, utilisez `kdekillall` (depuis kdesdk/scripts) pour les applications démarrées à partir de kdeinit4.

## Options

`--help`

  Affiche l'aide à propos des options.

`--no-fork`

  Ne dérive pas, &cad; n'existe pas jusqu'à ce que tous les programmes exécutés se terminent.

`--no-kded`

  Ne démarre pas kded.

`--suicide`

  Se termine quand aucune application KDE n'est lancée.

`+programs`

  Lance les programmes pris en charge à la demande.

`programs`

  Lance les programmes sans prise en charge à la demande.

## Utilisation

Une manière standard de lancer ce programme est de spécifier simplement la commande suivante dans un prompt ``kdeinit4` program` or ``kdeinit4` +program`

## Fichiers

`/tmp/kde-$USER/kdeinit4_$INSTANCE`

  ...

## Variables d'environnement

$`HOME`

  Spécifie le dossier personnel de l'utilisateur courant.

$`KDE_HOME_READONLY`

  Spécifie si le dossier personnel de l'utilisateur courant est en lecture seule.

$`KDE_IS_PRELINKED`

  Si l'option est définie, dit à kdeinit4 que les programmes &kde; sont préchainés.

  (Le préchaînage est un processus qui vous permet d'accélérer le processus de lien dynamique).

$`KDE_DISPLAY`

  Si l'option est définie, dit à kdeinit4 qu'il se lance sur un bureau &kde;.

## Voir aussi

kded, kdekillall

## Bogues

Il y a probablement une tonnes de bogues. Utilisez bugs.kde.org pour les rapporter.